Subject: RE: An I-D experiment (Re: HTML better for small PDAs)

From: [email-masked]
Date: Tue, 27 Feb 2001 16:08:43 -0000

> -----Original Message-----
> From:	Vernon Schryver [SMTP:[email-masked]]
> Sent:	Tuesday, February 27, 2001 3:40 PM
> To:	[email-masked]
> Subject:	Re: An I-D experiment (Re: HTML better for small PDAs)
> 
> > From: Harald Alvestrand <[email-masked]>
> 
> > ...
> > After 9 months, we can ask people to evaluate:
> >
> > - Whether they used "source" at all
> > - What formats they found that were useful
> > - What formats they found that caused trouble
> > ...
> 
> No, do not *ASK* people what they used, but instead use the FTP logs
> and try to filter mirrors.
> 
> That is because of the very steep slippery slope from allowing mark-up
> language versions ftp.isi.edu:internet-drafts down to the familiar
> morass exemplified by the .ps RFC's, and because many of the advocates
> for non-ASCII RFC's honestly think they use RFC's, but have and will
> never do more than look at title pages and author address lists.
> 
>  ......
> 
> 
> ] From: [email-masked]
> 
> ]         I have people working for me who write I-Ds, and who HATE the
> ASCII
> ] format that they are forced to use.  So much so, that they have
> threatened
> ] never to write another I-D.  Do we want to deprive the IETF community of
> the
> ] input of experienced technical people ( and, yes, they ARE ! ), because
> they
> ] are put off by archaic document formats ?  
> 
> If they cannot speak for themselves but must have their handlers speak
> for them in IETF mailing lists, then yes, that it would be best if they
> and their employer find another way to Contribute To The Standards
> Process.
> (never mind the image of a sweat shop grinding out the useless chaf
> that dominates rfc-index.txt that the "I have people working for me"
> preamble brings to mind).
> 
> 
	[ It is precisely because we do not operate a "sweat shop" that we
do not expect everybody to engage on ALL the IETF lists.  We have the quaint
idea that the work should be shared out.  Oddly enough, we have a company
hierarchy, in which some people work for others.  Apparently, this concept
of organisation is outside your experience.

	Abuse is the refuge of the irrational.  I note that you would prefer
to reserve the right to "Contribute To The Standards Process" for yourself
and other high-minded individuals.  This is presumably the famed IETF "
openness" in action. ]

> ]         So it is not just "people who neither write RFC's nor implement
> ] protocols" who find ASCII "incomplete".  
> 
> That some people HATE the ASCII format is not evidence about whether
> ASCII is incomplete.
> Those who have done it and understand their tools know that making
> diagrams of packets is easier with ASCII than many other tools.  That
> is because the standard IETF ASCII packet diagram format is well suited
> to drawing tables of 16 or 32 columns with common groupings of 8 in
> individual rows.  Those who are more familiar with Powerpoint and
> similar or who don't know how to reach fix-pitch fonts and to switch
> from insert to overstrike, do have problems diagraming packets in ASCII.
> In other words, the ASCII format is "complete."
> 
> 
> ]         Perhaps we ( the IETF ) should have a library of standard,
> ] downloadable translation / formatting tools that would help people to
> write
> ] in whatever format they choose, then convert it to the required ASCII.
> 
> This thread (not to mention others over the years) has had pointers
> to several such packages.
> 
> If you're collecting tools, then it would also be handy to get
> one of the tools commonly used to generate the standard I-D headings.
> 
> 
> ] However, this would still not solve the problem os ASCII's poor diagram
> ] capability.
> 
> The IETF is about protocols.  About the only diagrams that you need
> are state diagrams and packet layouts.  For those ASCII art is fine.
> Those who've spent much time actually using standards from know that
> while the diagrams outer venues (e.g. ANSI) are prettier but convey
> little or no additional information.
> 
> 
	[ So, from now on all IETF illustrated presentations will consist
solely of diagrams of packets, because any red-blooded      protocol
developer worth his salt is a wimp if he wants to draw anything else to help
people understand what his I-D is saying.  Oh, and, of course, if anyone
dares to use anything but ASCII, then he can't be a protocol developer, can
he  ???? ]

> Vernon Schryver    [email-masked]

---

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 28 Feb 2001 09:17:32 -0500

I think that is an excellent suggestion.

I personally would like to see a bias towards the XML source,
but leaving it "open" for now is a good step in the right
direction.

Brian

> From: Harald Alvestrand [mailto:[email-masked]]
> Sent: Tuesday, February 27, 2001 7:59 AM
> To: Marshall T. Rose; Vernon Schryver; [email-masked]
> Subject: An I-D experiment (Re: HTML better for small PDAs)
> 
> 
> At 18:30 26/02/2001 -0800, Marshall T. Rose wrote:
> > > There is a use for XML or nroff versions of I-D's (but 
> not RFC's) that
> > > has not been mentioned much (maybe first in your mention 
> of "ASCII memos
> > > can't be reformatted").  It saves lots of work to 
> exchange editorial
> >changes
> > > as deltas to a mark up language version.
> >
> >i agree. this certainly is of value to the folks who author I-Ds.
> >
> > > Perhaps in other words, allow XML in 
> ftp.isi.edu:internet-drafts but
> > > not in ftp.isi.edu:in-notes
> >
> >i agree. i'm not asking that we publish RFCs in any new formats. i'm
> >suggesting that we experiment for 9 months in the I-D area.
> A slight modification (I changed the subject line to 
> concentrate on the 
> constructive thread out of this):
> 
> Let's say that we accept I-Ds in ASCII format.
> Let's also say that for each I-D, the secretariat will accept 
> up to 1 file 
> containing "source", where "source" can be NROFF macros, XML 
> (Marshall's 
> DTD) text or Word documents.
> 
> To be stored in the "internet-drafts/source" subdirectory.
> (for completeness, there should also be a note saying how to 
> produce the 
> ASCII from the source; my Word stuff differs from the 
> official Word stuff - 
> but this makes the use/submission more complex)
> 
> This thread should go somewhere else....
> 
> 
> --
> Harald Tveit Alvestrand, [email-masked]
> +47 41 44 29 94
> Personal email: [email-masked]
> 
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Harald Alvestrand.
>